noinst_LTLIBRARIES=libdeserializer.la
INCLUDES=-I${top_srcdir} -I${top_builddir} @AKAXISO2_INCLUDES@

libdeserializer_la_SOURCES=all_handler.cpp all_handler.h \
	any_array_handler.cpp any_array_handler.h \
	any_handler.cpp any_handler.h \
	wildcard_handler.cpp wildcard_handler.h \
	array_handler.cpp array_handler.h \
	choice_handler.cpp choice_handler.h \
	closure_handler.cpp closure_handler.h \
	deserializer.h \
	document_handler.cpp document_handler.h \
	fixed_handler.cpp fixed_handler.h \
	handler.cpp handler.h \
	locator.cpp locator.h \
	ptrmember_handler.cpp ptrmember_handler.h \
	sequence_handler.cpp sequence_handler.h \
	simplecontent_handler.cpp simplecontent_handler.h \
	simpletype_handler.cpp simpletype_handler.h \
	sax2_adaptor.cpp sax2_adaptor.h \
	xml_deserializers.cpp xml_deserializers.h \
	encoding_sensor.cpp encoding_sensor.h

pkgincludedir=${includedir}/${subdir}
pkginclude_HEADERS=all_handler.h any_array_handler.h any_handler.h wildcard_handler.h array_handler.h choice_handler.h closure_handler.h deserializer.h document_handler.h fixed_handler.h handler.h locator.h ptrmember_handler.h sequence_handler.h simplecontent_handler.h simpletype_handler.h sax2_adaptor.h encoding_sensor.h xml_deserializers.h
